The Gnome Chemistry Utils: testgtkperiodic.c File Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

# testgtkperiodic.c File Reference

`#include <gcu/gtkperiodic.h>`
`#include <gcu/chemistry.h>`
`#include <glib.h>`
`#include <gtk/gtk.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
void | on_changed (GtkPeriodic *periodic, guint Z, gpointer data)
void | on_color_scheme_none (GtkToggleButton *btn, GtkWidget *periodic)
void | on_color_scheme_default (GtkToggleButton *btn, GtkWidget *periodic)
int | main (int argc, char *argv[])

## Detailed Description

A simple example of the use of the GtkPeriodic widget.

Definition in file testgtkperiodic.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[] |
| ) |  |  |

The main function of the test program. It builds the window containing the GtkPeriodic widget, adds some buttons and installs the appropriate signals.

Definition at line 44 of file testgtkperiodic.c.

References GTK_PERIODIC, on_changed(), on_color_scheme_default(), and on_color_scheme_none().

void on_changed | ( | GtkPeriodic * | periodic,
|  | guint | Z,
|  | gpointer | data |
| ) |  |  |

The function called when the selected element changes. It just prints the atomic number of the selected element to the standard output.

Definition at line 15 of file testgtkperiodic.c.

Referenced by main().

void on_color_scheme_default | ( | GtkToggleButton * | btn,
|  | GtkWidget * | periodic |
| ) |  |  |

The function called when the "Default" button. It Just sets the "color-scheme" property of the GtkPeridic widget to GTK_PERIODIC_COLOR_DEFAULT if the button is active.

Definition at line 34 of file testgtkperiodic.c.

Referenced by main().

void on_color_scheme_none | ( | GtkToggleButton * | btn,
|  | GtkWidget * | periodic |
| ) |  |  |

The function called when the "None" button. It Just sets the "color-scheme" property of the GtkPeridic widget to GTK_PERIODIC_COLOR_NONE if the button is active.

Definition at line 24 of file testgtkperiodic.c.

Referenced by main().